Page MenuHomePhabricator

Template variables in headings do not get expanded and produce corrupted display
Closed, ResolvedPublic

Description

Author: timwi

Description:
BUG MIGRATED FROM SOURCEFORGE
http://sourceforge.net/tracker/index.php?func=detail&aid=977849&group_id=34373&atid=411192
Originally submitted by Norman Rogers (normanrogers) 2004-06-23 00:31

I was writing a template using variables surrounded in
headings like this:

{{{variable}}}

When previewing I get

Template:variable.7D">

appearing before the heading.

It does not appear in the article that the template is
being used in and only appears when in a header.

[[Template:Sandbox Template]] on en wikipedia shows an
example of this problem.

  • Additional comments ------------------------

Date: 2004-08-07 22:06
Sender: SF user jeffwarnica

This seems to be fixed, at least with the CVS version I have

on my home machine.

Date: 2004-08-08 07:48
Sender: SF user vibber

Does seem to be better in CVS head, but still broken in
1.3 branch.


Version: unspecified
Severity: normal

Details

Reference
bz70

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 6:42 PM
bzimport set Reference to bz70.
bzimport added a subscriber: Unknown Object (MLST).

jeluf wrote:

Fixed in REL1_3 and HEAD, see Bug 60